빠른 시작
시작하기
몇 분 안에 API 요청을 시작하는 데 필요한 모든 것.
Base URL
모든 API 요청은 다음 base URL로 보내야 합니다:
BASE URL
https://api.airforce사용 가능한 Endpoint
POST
/v1/chat/completionsOpenAI 호환 chatPOST
/v1/messagesAnthropic 호환 messagesPOST
/v1/images/generations이미지 & 미디어 생성GET
/v1/models사용 가능한 모델 목록Rate Limits
Rate limit는 플랜 tier별로 적용됩니다. 한도는 분당 요청(RPM) 및 일일 요청(RPD)으로 측정됩니다.
| 플랜 | RPM | RPD |
|---|---|---|
| Free | 1 RPM | 1,000 RPD |
| Premium | 5 RPM | 5,000 RPD |
| Master | 10 RPM | 무제한 RPD |
참고: 양수 잔액이 있는 pay-as-you-go 사용자는 이러한 tier rate limit을 완전히 우회합니다.
빠른 예시
cURL
curl https://api.airforce/v1/chat/completions \
-H "Authorization: Bearer sk-air-YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-4.1-mini",
"messages": [{"role": "user", "content": "Say hello!"}],
"max_tokens": 100
}'Python
from openai import OpenAI
client = OpenAI(
base_url="https://api.airforce/v1",
api_key="sk-air-YOUR_API_KEY"
)
response = client.chat.completions.create(
model="gpt-4.1-mini",
messages=[{"role": "user", "content": "Say hello!"}],
max_tokens=100
)
print(response.choices[0].message.content)Node.js
import OpenAI from 'openai';
const client = new OpenAI({
baseURL: 'https://api.airforce/v1',
apiKey: 'sk-air-YOUR_API_KEY',
});
const response = await client.chat.completions.create({
model: 'gpt-4.1-mini',
messages: [{ role: 'user', content: 'Say hello!' }],
max_tokens: 100,
});
console.log(response.choices[0].message.content);모델 검색
/v1/models endpoint를 사용하여 기능 및 가격이 포함된 모든 사용 가능한 모델 목록을 검색합니다.
curl https://api.airforce/v1/models -H "Authorization: Bearer sk-air-YOUR_API_KEY"팁: 실시간 상태, 가격, 컨텍스트 윈도우를 보여주는 모델 페이지에서 시각적으로 모델을 둘러볼 수도 있습니다.